Bug 504117 - Krusader sometimes shows wrong directory content (fails to refresh)
Krusader sometimes shows wrong directory content (fails to refresh)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krusader (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On: 593523
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 06:46 EDT by Martin Naď
Modified: 2010-06-10 15:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: krusader-2.2.0-0.4.beta1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-10 15:04:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream bug,from sourceforge (81 bytes, text/plain)
2009-07-12 17:02 EDT, Martin Naď
no flags Details

  None (edit)
Description Martin Naď 2009-06-04 06:46:26 EDT
Description of problem:
When I delete file in krusader, he still shows this file ,even after the reload-gui.

Version-Release number of selected component (if applicable):
krusader-2.0.0-1.fc11.x86_64
kde-filesystem-4-25.fc11.noarch
kdelibs-4.2.3-3.fc11.x86_64


How reproducible:
sometime

Steps to Reproduce:
1.run krusader
2.delete any file
3.krusader sometime still shows this file
  
Actual results:
krusader sometime shows deleted files(file is realy deleted)

Expected results:
krusader correctly displays the contents of the directory
Comment 1 Martin Naď 2009-07-12 14:20:19 EDT
krusader output to console:

[NSatan@Metallica ~]$ krusader
Object::connect: No such slot ListPanel::vfs_refresh(KJob*)
Object::connect: No such slot ListPanel::vfs_refresh(KJob*)
Comment 3 Martin Naď 2009-07-12 17:02:59 EDT
Created attachment 351405 [details]
upstream bug,from sourceforge

upstream bug,from sourceforge
Comment 4 Martin Naď 2009-09-08 13:05:19 EDT
update to svn is possible?
Comment 5 Martin Naď 2009-10-11 16:27:01 EDT
on rahide still this ,patch from svn posible?
Comment 6 Bug Zapper 2010-04-27 10:38:58 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Martin Naď 2010-05-21 04:38:04 EDT
this bug exist on fc11,fx12,fc13
Comment 8 Kevin Kofler 2010-06-03 06:56:36 EDT
This is fixed in upstream 2.1.0-beta1, current is 2.2.0-beta1, so my plan is to fix this by upgrading to current upstream which also has plenty of other fixes and improvements.
Comment 9 Kevin Kofler 2010-06-03 14:46:37 EDT
Fixed for Rawhide in 2.2.0-0.2.beta1.fc14, updates for F11, F12 and F13 now building.
Comment 10 Fedora Update System 2010-06-03 19:32:34 EDT
krusader-2.2.0-0.4.beta1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/krusader-2.2.0-0.4.beta1.fc13
Comment 11 Fedora Update System 2010-06-03 19:32:36 EDT
krusader-2.2.0-0.4.beta1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/krusader-2.2.0-0.4.beta1.fc12
Comment 12 Fedora Update System 2010-06-03 19:32:43 EDT
krusader-2.2.0-0.4.beta1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/krusader-2.2.0-0.4.beta1.fc11
Comment 13 Fedora Update System 2010-06-04 14:49:40 EDT
krusader-2.2.0-0.4.beta1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update krusader'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/krusader-2.2.0-0.4.beta1.fc13
Comment 14 Fedora Update System 2010-06-10 15:04:30 EDT
krusader-2.2.0-0.4.beta1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-06-10 15:08:28 EDT
krusader-2.2.0-0.4.beta1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-06-10 15:15:40 EDT
krusader-2.2.0-0.4.beta1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.